Will the Real JRE Please Stand Up?

Unlike Release 11i, E-Business Suite Release 12 no longer requires Oracle Jinitiator for its Forms-based content.  In theory, it will be possible to use any version of the native Sun J2SE Runtime Engine (JRE) plug-in to access Forms-based content in this Applications release.

Java Console Screenshot:

The present reality is that you need to use a specific version of the Sun JRE with Release 12.  I know some of you have been interested in going deep on this, so strap on your helmets; we're goin' in.

A Problem of Focus

When you have multiple windows for different programs open in WinXP (say, Outlook and Firefox), the one you're working in actively has the focus.  So, if you're working in Outlook and then click on the Firefox window, the focus changes to Firefox.

Here's the complicating factor:  current releases of the native Sun JRE plug-in may lose focus from Forms-based content in a few situations.  This behavior occurs in all Sun JRE versions released publicly to date, including 1.5.0_11.

We've been working closely with Sun on this issue.  Sun has committed to including the fix for this issue in an upcoming JRE release.  In the meantime, Sun has provided Oracle with a specially-patched version of 1.5.0_10 that includes the fix for this bug.  This version is informally called 1.5.0_10-erdist and is included as part of the Release 12 Rapid Install.

Checking Your JRE Version

To check which version you have installed:
  1. Enable the Java Console on your PC through the 'Java Control Panel' by clicking on the 'Java' icon within your desktop's 'Control Panel'.

  2. Select the 'Advanced' Tab and expand the 'Java Console' field, then ensure the 'Show Console' option is selected.
  3. Select the 'General' Tab and click the 'About' button.
If the version displayed is:
  • Version 1.5.0 (build 1.5.0_10-erdist-b20061221)

    You have the special version that includes the focus fix required for use with Release 12.
  • Version 1.5.0 (build 1.5.0_10-b03)

    You have the standard version of 1.5.0_10 that does not include the focus fix.  If you wish to use Forms-based content in Release 12, you need to uninstall this version and install the special 1.5.0_10-erdist version included with Release 12.
A Word About Upgrading Your JRE

It's important to remember that JRE 1.5.0_10-erdist is the only version available today that includes this focus fix.  If you or your end-users use (or upgrade to) 1.5.0_11, they may encounter issues with accessing Forms-based content in E-Business Suite Release 12.

Later JRE versions that include the focus fix will be certified with Release 12, of course. At present, I don't have any information that I can share about either their release dates or their certification schedules with the E-Business Suite.  I'll post updates here as soon as they're available.

Related
Comments:

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today